ranges::v3::view::iter_zip_with_fn Struct Reference

## Synopsis of methods

constexpr iter_zip_with_fn | iter_zip_with {}

## Public Types

template<typename Fun , typename ... Rngs>
using | Concept = meta::and_< meta::and_< InputRange< Rngs >... >, CopyConstructible< Fun >(), Invocable< Fun &, iterator_t< Rngs >... >, Invocable< Fun &, copy_tag, iterator_t< Rngs >... >, Invocable< Fun &, move_tag, iterator_t< Rngs >... > >

## Public Member Functions

template<typename... Rngs, typename Fun , requires = (Concept<Fun, Rngs...>())>
iter_zip_with_view< Fun, all_t< Rngs >... > | operator() (Fun fun, Rngs &&... rngs) const